Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCValueClassMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCValueClassMetaData

public final class JDBCValueClassMetaData
extends Object

Imutable class which holds a list of the properties for a dependent value class.

Version:
  $Revision: 1.7 $
Author:
  Dain Sundstrom

Constructor Summary
`JDBCValueClassMetaData(Element classElement, ClassLoader classLoader)` Constructs a value class metadata class with the data contained in the dependent-value-class xml element from a jbosscmp-jdbc xml file.

Method Summary
`Class` | `getJavaType()` Gets the Java Class of this value class.
`List` | `getProperties()` Gets the properties of this value class which are to be saved into the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCValueClassMetaData

    public JDBCValueClassMetaData(Element classElement,
                                  ClassLoader classLoader)
                           throws org.jboss.deployment.DeploymentException

  Constructs a value class metadata class with the data contained in the dependent-value-class xml element from a jbosscmp-jdbc xml file.

Parameters:
  `classElement` - the xml Element which contains the metadata about this value class
  `classLoader` - the ClassLoader which is used to load this value class
Throws:
  `org.jboss.deployment.DeploymentException` - if the xml element is not semantically correct

Method Detail

### getJavaType

    public Class getJavaType()

  Gets the Java Class of this value class.

  Returns:
    the java Class of this value class

### getProperties

    public List getProperties()

  Gets the properties of this value class which are to be saved into the database.

  Returns:
    an unmodifiable list which contains the JDBCValuePropertyMetaData objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.